Skip to main content
ARShow
ARShow
 首页 » AR资讯

虚幻引擎4.18版本支持本地ARKit和ARCore支持

2017年10月27日 08:28:2849220913VR

虚幻引擎4.18版本已经发布,现在可以下载。Epic Games带来了“数百次更新”以及虚幻引擎开发者社区提交的98项改进。

虚幻引擎4.18版本在AR开发方面取得了巨大进步,支持苹果ARKit和谷歌的ARCore。虚幻引擎4.18包括为iOS11中的ARKit提供“生产就绪”支持,包括最新手机iPhone 8和iPhone X。

虚幻引擎4.18版本支持本地ARKit和ARCore支持 AR资讯

Epic Games的文档负责人Jeff Wilson表示:“我们已经简化了使用现有框架组件的工作流程,增加了传统摄像机的强大处理能力,并通过提高性能和预测提高了保真度。”之前已经发生了重大变化在虚幻引擎4.17中对ARKit的实验支持。使用虚幻引擎4.17创建的ARKit项目将需要更新才能在4.18版本中工作。

除了本地支持之外,ARKit更新还包括在WWDC 2017 的Wingnut AR演示中使用的Desktop-class Forward Renderer 。尽管目前仍然是实验性的,但带有A9或更高版本的处理器的运行iOS 10.3或较新的系统的iOS设备都可支持该新技术,最好的搭配是在A10X或更高版本的处理器上的运行iOS 11系统。

威尔逊(Wilson)表示:“这种渲染技术为最新的iOS设备带来了基于物理的阴影,反射,照明和阴影的支持。这些功能比硬件上现有的移动渲染器要求更高,并且是实验性的,因此某些功能可能无法在所有设备和操作系统版本上正常运行。已知以下功能不起作用:GPU皮肤缓存,GPU变形目标,大气雾和多样本抗锯齿。”

AR和VR都从一个新的重构VR / AR相机系统得到提升。虚幻引擎4.18现在包含相机组件和原始视图的默认摄像头实现,包括引擎自动处理的更新。此外,来自Oculus VR(Oculus Runtime 1.17),SteamVR(SteamVR 1.39)和macOS(masOS 10.13 High Sierra)的最新SDK已添加到完全功能状态。

评论列表暂无评论
发表评论